Search or ask Docker

Create a volume

POST /volumes/create — Docker Engine API 1.57.

View Markdown
POST/volumes/create

Connection and access

API connection and authentication guidance

/v1.57

No HTTP authentication requirement is declared for this operation. Transport access controls can still apply.

Parameters

No parameters are declared.

Request and responses

Request

Volume configuration

application/json

Schema: VolumeCreateRequest

Response 201

The volume was created successfully

application/json

Schema: Volume

Response 500

Server error

application/json

Schema: ErrorResponse

Schema example

{
  "message": "Something went wrong."
}

Referenced schemas

#/components/schemas/ErrorResponse

#/components/schemas/Volume

#/components/schemas/VolumeCreateRequest

Complete operation contract
{
  "operationId": "VolumeCreate",
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/VolumeCreateRequest"
        }
      }
    },
    "description": "Volume configuration",
    "required": true,
    "x-codegen-request-body-name": "volumeConfig"
  },
  "responses": {
    "201": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Volume"
          }
        }
      },
      "description": "The volume was created successfully"
    },
    "500": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "Server error"
    }
  },
  "summary": "Create a volume",
  "tags": [
    "Volume"
  ]
}